List accessPackageCatalogs
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve a list of accessPackageCatalog objects.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | EntitlementManagement.Read.All, EntitlementManagement.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | EntitlementManagement.Read.All, EntitlementManagement.ReadWrite.All |
HTTP request
GET /identityGovernance/entitlementManagement/accessPackageCatalogs
Optional query parameters
This method supports the $select, $filter, and $expand OData query parameters to help customize the response. For example, to retrieve the access packages in each catalog, include $expand=accessPackages in the query. To search for access package catalogs with a particular name, include a filter such as $filter=contains(tolower(displayName),'staff') in the query. For general information, see OData query parameters.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of accessPackageCatalog objects in the response body.
Examples
Request
The following is an example of the request.
GET https://graph.microsoft.com/beta/identityGovernance/entitlementManagement/accessPackageCatalogs
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id":"360fa7de-90be-48dc-a2ce-fc40094a93dd",
"description":"Sample access package catalog",
"displayName":"Access package catalog for testing",
"isExternallyVisible":false,
"catalogType":"UserManaged",
"catalogStatus":"Published",
"createdDateTime":"2019-01-27T18:19:50.74Z",
"modifiedDateTime":"2019-01-27T18:19:50.74Z",
"createdBy":"TestGA@example.com",
"modifiedBy":"TestGA@example.com"
}
]
}
Feedback
Submit and view feedback for